KDE 4.2 PyKDE API Reference

- KDE's Python API

# AuthInfo Class Reference

`from PyKDE4.kio import *`

Namespace: KIO

## Detailed Description

This class is intended to make it easier to prompt for, cache and retrieve authorization information.

When using this class to cache, retrieve or prompt authentication information, you only need to set the necessary attributes. For example, to check whether a password is already cached, the only required information is the URL of the resource and optionally whether or not a path match should be performed. Similarly, to prompt for password you only need to optionally set the prompt, username (if already supplied), comment and commentLabel fields.

<em>SPECIAL NOTE:</em> If you extend this class to add additional parameters do not forget to overload the stream insertion and extraction operators ("<<" and ">>") so that the added data can be correctly serialzed.

A two way messaging class for passing authentication information.

Author:
  Dawit Alemayehu <adawit@kde.org>

## Enumerations

FieldFlags | { ExtraFieldNoFlags, ExtraFieldReadOnly, ExtraFieldMandatory }

## Attributes

QString | caption
QString | comment
QString | commentLabel
QString | digestInfo
bool | keepPassword
QString | password
QString | prompt
bool | readOnly
QString | realmValue
KUrl | url
QString | username
bool | verifyPath

## Methods

| __init__ (self)
| __init__ (self, KIO.AuthInfo info)
QVariant | getExtraField (self, QString fieldName)
KIO.AuthInfo.FieldFlags | getExtraFieldFlags (self, QString fieldName)
bool | isModified (self)
| setExtraField (self, QString fieldName, QVariant value)
| setExtraFieldFlags (self, QString fieldName, KIO.AuthInfo.FieldFlags flags)
| setModified (self, bool flag)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor.

__init__ | ( | self, |
|  | KIO.AuthInfo | info
| ) |  |  |

Copy constructor.

QVariant getExtraField | ( | self, |
|  | QString | fieldName
| ) |  |  |

Get Extra Field Value Check QVariant.isValid() to find out if the field exists.

Since:
  4.1

KIO.AuthInfo.FieldFlags getExtraFieldFlags | ( | self, |
|  | QString | fieldName
| ) |  |  |

Get Extra Field Flags

Since:
  4.1

bool isModified | ( |  | self ) |

Use this method to check if the object was modified.

Returns:
  true if the object has been modified

setExtraField | ( | self, |
|  | QString | fieldName,
|  | QVariant | value
| ) |  |  |

Set Extra Field Value. Currently supported extra-fields: "domain" (QString), "anonymous" (bool) Setting it to an invalid QVariant() will disable the field. Extra Fields are disabled by default.

Since:
  4.1

setExtraFieldFlags | ( | self, |
|  | QString | fieldName,
|  | KIO.AuthInfo.FieldFlags | flags
| ) |  |  |

Set Extra Field Flags

Since:
  4.1

setModified | ( | self, |
|  | bool | flag
| ) |  |  |

Use this method to indicate that this object has been modified.

Parameters:

  | flag | true to mark the object as modified, false to clear

## Attribute Documentation

QString caption

Additional comment to be displayed when prompting the user for authentication information.

This field allows you to display a short (no more than 80 characters) extra description in the password prompt dialog. For example, this field along with the commentLabel can be used to describe the server that requested the authentication:

      Server:   Squid Proxy @ foo.com

where "Server:" is the commentLabel and the rest is the actual comment. Note that it is always better to use the commentLabel field as it will be placed properly in the dialog rather than to include it within the actual comment.

This setting is optional and empty by default.

QString comment

Descriptive label to be displayed in front of the comment when prompting the user for password.

This setting is optional and only applicable when the comment field is also set.

QString commentLabel

A unique identifier that allows caching of multiple passwords for different resources in the same server.

Mostly this setting is applicable to the HTTP protocol whose authentication scheme explicitly defines the use of such a unique key. However, any protocol that can generate or supply a unique id can effectively use it to distinguish passwords.

(If you are instead interested in caching the authentication info for multiple users to the same server, refer to multipleUserCaching below)

This setting is optional and not set by default.

QString digestInfo

Flag that, if set, indicates whether a path match should be performed when requesting for cached authorization.

A path is deemed to be a match if it is equal to or is a subset of the cached path. For example, if stored path is "/foo/bar" and the request's path set to "/foo/bar/acme", then it is a match whereas it would not if the request's path was set to "/foo".

This setting is optional and false by default.

bool keepPassword

Flags for extra fields

Since:
  4.1

QString password

Information to be displayed when prompting the user for authentication information.

Note:
  If this field is not set, the authentication dialog simply displays the preset default prompt.

This setting is optional and empty by default.

QString prompt

The text to displayed in the title bar of the password prompting dialog.

Note:
  If this field is not set, the authentication dialog simply displays the preset default caption.

This setting is optional and empty by default.

bool readOnly

Flag to indicate the persistence of the given password.

This is a two-way flag, when set before calling openPasswordDialog it makes the "keep Password" check box visible to the user. In return the flag will indicate the state of the check box. By default if the flag is checked the password will be cached for the entire life of the current KDE session otherwise the cached password is deleted right after the application using it has been closed.

QString realmValue

Field to store any extra authentication information for protocols that need it (ex: http).

This setting is optional and mostly applicable for HTTP protocol. However, any protocol can make use of it to store extra info.

KUrl url

This is required for caching.

QString username

This is required for caching.

bool verifyPath

Flag which if set forces the username field to be read-only.

This setting is optional and false by default.

## Enumeration Documentation

FieldFlags

Enumerator:

  ExtraFieldNoFlags = 0 |
  ExtraFieldReadOnly = 1<<1 |
  ExtraFieldMandatory = 1<<2 |